# DiscountCodeTagFacets

> List discount tags with their colour and usage count. Read access, discounts toolset, MCP tool get_discount_code_tag_facets.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `first` | `Int` | no | 32-bit integer. Default `200` |  |
| `workspaceId` | `UUID!` | yes |  |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"DiscountCodeTagFacets","variables":{"workspaceId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"9787881405e65c6eb2f53a961b61215102d993acdf3bb3a10aa99e14e207cf95"}}}'
```

## Document

```graphql
query DiscountCodeTagFacets($first: Int = 200, $workspaceId: UUID!) { __typename discountCodeTagFacets(pWorkspaceId: $workspaceId, first: $first) { __typename nodes { __typename color count tag } } }
```

Source: https://developer.missin.co.uk/reference/discounts/discount-code-tag-facets
